Get filteredItemAttribute
Retrieve the properties and relationships of a {{api name}} object for Business Central.
HTTP Request
Replace the URL prefix for Business Central depending on environment following the guideline.
GET {businesscentralPrefix}companies({id})/filteredItemAttributesWebCon({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request Body
Do not supply a request body for this method.
Response body
If successful, this method returns a 200 OK response code and a filteredItemAttribute object in the response body.
Requests
Here is a example request.
GET https://{businesscentralPrefix}/companies({id})/filteredItemAttributesWebCon({id})/$filter=attributeName{1-10} eq '{value}' and attributeValue{1-10} eq '{value}'
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"value": [
{
"itemNo": "1928-S",
"itemDescription": "AMSTERDAM Lampe",
"itemId": "0e3d4203-0e30-ee11-bdfc-6045bde98c16"
},
{
"itemNo": "1980-S",
"itemDescription": "MOSCOW Schreibtischstuhl, rot",
"itemId": "183d4203-0e30-ee11-bdfc-6045bde98c16"
},
{
"itemNo": "1988-S",
"itemDescription": "SEOUL Gästestuhl, rot",
"itemId": "193d4203-0e30-ee11-bdfc-6045bde98c16"
}
]
}